Index: asp3_gr_sakura/trunk/tecsgen/tecs/mruby/TECSPointer.h
===================================================================
--- asp3_gr_sakura/trunk/tecsgen/tecs/mruby/TECSPointer.h	(revision 317)
+++ asp3_gr_sakura/trunk/tecsgen/tecs/mruby/TECSPointer.h	(revision 318)
@@ -4,47 +4,32 @@
  *   Copyright (C) 2008-2012 by TOPPERS Project
  *--
- *   ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
- *   ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
- *   å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *   (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *       æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *       ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *   (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *       ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *       è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *       ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *   (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *       ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
- *       ã¨ï¼
- *     (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *         ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *     (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
- *         å ±åãããã¨ï¼
- *   (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *       å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
- *       ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
- *       ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
- *       å
-è²¬ãããã¨ï¼
+ *   上記著作権者は，以下の(1)(4)の条件を満たす場合に限り，本ソフトウェ
+ *   ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *   変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *   (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *       権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *       スコード中に含まれていること．
+ *   (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *       用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *       者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *       の無保証規定を掲載すること．
+ *   (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *       用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *       と．
+ *     (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *         作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *     (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *         報告すること．
+ *   (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *       害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *       また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *       由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *       免責すること．
  *  
- *   æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *   ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
- *   ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
- *   ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
- *   ã®è²¬ä»»ãè² ããªãï¼
+ *   本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *   よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *   に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *   アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *   の責任を負わない．
  *  
  *   $Id$ 
@@ -99,5 +84,5 @@
 POINTER_BODY( SChar,  char_t )		/* struct SCharPointerBody */
 
-// â  TECS_NO_VAL_CHECK ã define ããã¨ãå¤ãã§ãã¯ãçç¥ãã
+// ■ TECS_NO_VAL_CHECK を define すると、値チェックを省略する
 #ifndef TECS_NO_VAL_CHECK
 #define	VALCHECK_INT(Type, TYPE, type )									\
@@ -174,14 +159,14 @@
 VALCHECK_UINT( UInt64, UINT64, uint64_t )
 #ifndef mrb_int_IS_int64
-	 // â  int 32 bit ãä»®å®ãã¦ãã. 64 bit ã§ããã° mrb_int_IS_64 ã define ãã
+	 // ■ int 32 bit を仮定している. 64 bit であれば mrb_int_IS_64 を define する
 VALCHECK_MRB_INT( Int64, INT64, int64_t )
 VALCHECK_MRB_UINT( UInt64, UINT64, uint64_t )
 #else
-#define VALCHECK_MRB_Int64      // ç¯å²ãã§ãã¯ãç¡æå³ã§ãããããè­¦åãåºãã®ãåé¿ãã
-#define VALCHECK_MRB_UInt64      // ç¯å²ãã§ãã¯ãç¡æå³ã§ãããããè­¦åãåºãã®ãåé¿ãã
+#define VALCHECK_MRB_Int64      // 範囲チェックが無意味であるため、警告が出るのを回避する
+#define VALCHECK_MRB_UInt64      // 範囲チェックが無意味であるため、警告が出るのを回避する
 #endif
 
 #ifndef TECS_NO_VAL_CHECK
-	 // â  char_t ã¯ unsigned ã¨ã¿ãªã
+	 // ■ char_t は unsigned とみなす
 static inline void
 VALCHECK_Char( mrb_state *mrb, mrb_int  val )
Index: asp3_gr_sakura/trunk/tecsgen/tecs/mruby/TECSStruct.h
===================================================================
--- asp3_gr_sakura/trunk/tecsgen/tecs/mruby/TECSStruct.h	(revision 317)
+++ asp3_gr_sakura/trunk/tecsgen/tecs/mruby/TECSStruct.h	(revision 318)
@@ -4,47 +4,32 @@
  *   Copyright (C) 2008-2012 by TOPPERS Project
  *--
- *   ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
- *   ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
- *   å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *   (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *       æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *       ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *   (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *       ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *       è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *       ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *   (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *       ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
- *       ã¨ï¼
- *     (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *         ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *     (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
- *         å ±åãããã¨ï¼
- *   (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *       å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
- *       ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
- *       ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
- *       å
-è²¬ãããã¨ï¼
+ *   上記著作権者は，以下の(1)(4)の条件を満たす場合に限り，本ソフトウェ
+ *   ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *   変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *   (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *       権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *       スコード中に含まれていること．
+ *   (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *       用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *       者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *       の無保証規定を掲載すること．
+ *   (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *       用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *       と．
+ *     (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *         作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *     (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *         報告すること．
+ *   (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *       害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *       また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *       由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *       免責すること．
  *  
- *   æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *   ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
- *   ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
- *   ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
- *   ã®è²¬ä»»ãè² ããªãï¼
+ *   本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *   よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *   に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *   アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *   の責任を負わない．
  *  
  *   $Id$ 
Index: asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tBoolPointer.c
===================================================================
--- asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tBoolPointer.c	(revision 317)
+++ asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tBoolPointer.c	(revision 318)
@@ -1,9 +1,9 @@
 /* #[<PREAMBLE>]#
- * #[<...>]# ãã #[</...>]# ã§å²ã¾ããã³ã¡ã³ãã¯ç·¨éããªãã§ãã ãã
- * tecsmerge ã«ãããã¼ã¸ã«ä½¿ç¨ããã¾ã
+ * #[<...>]# から #[</...>]# で囲まれたコメントは編集しないでください
+ * tecsmerge によるマージに使用されます
  *
  * #[</PREAMBLE>]# */
 
-/* ãã­ãã¿ã¤ãå®£è¨ãå¤æ°ã®å®ç¾©ãããã«æ¸ãã¾ã #_PAC_# */
+/* プロトタイプ宣言や変数の定義をここに書きます #_PAC_# */
 #include "nMruby_tBoolPointer_tecsgen.h"
 
@@ -17,5 +17,5 @@
 CHECK_AND_GET_POINTER( Bool, bool_t )
 
-/* åãå£é¢æ° #_TEPF_# */
+/* 受け口関数 #_TEPF_# */
 /* #[<ENTRY_PORT>]# eInitialize
  * entry port: eInitialize
@@ -32,9 +32,9 @@
 eInitialize_initializeBridge(mrb_state* mrb, struct RClass * TECS)
 {
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	(void)tecs_init_BoolPointer( mrb, TECS );
 }
 
 /* #[<POSTAMBLE>]#
- *   ããããä¸ã«éåãå£é¢æ°ãæ¸ãã¾ã
+ *   これより下に非受け口関数を書きます
  * #[</POSTAMBLE>]#*/
Index: asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tCharPointer.c
===================================================================
--- asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tCharPointer.c	(revision 317)
+++ asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tCharPointer.c	(revision 318)
@@ -1,9 +1,9 @@
 /* #[<PREAMBLE>]#
- * #[<...>]# ãã #[</...>]# ã§å²ã¾ããã³ã¡ã³ãã¯ç·¨éããªãã§ãã ãã
- * tecsmerge ã«ãããã¼ã¸ã«ä½¿ç¨ããã¾ã
+ * #[<...>]# から #[</...>]# で囲まれたコメントは編集しないでください
+ * tecsmerge によるマージに使用されます
  *
  * #[</PREAMBLE>]# */
 
-/* ãã­ãã¿ã¤ãå®£è¨ãå¤æ°ã®å®ç¾©ãããã«æ¸ãã¾ã #_PAC_# */
+/* プロトタイプ宣言や変数の定義をここに書きます #_PAC_# */
 #include "nMruby_tCharPointer_tecsgen.h"
 
@@ -22,5 +22,5 @@
 #endif
 
-/* åãå£é¢æ° #_TEPF_# */
+/* 受け口関数 #_TEPF_# */
 /* #[<ENTRY_PORT>]# eInitialize
  * entry port: eInitialize
@@ -39,5 +39,5 @@
 	struct  RClass *c;
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	c = tecs_init_CharPointer( mrb, TECS );
 	mrb_define_method(mrb, c, "to_s", CharPointer_to_s, MRB_ARGS_NONE());
@@ -47,4 +47,4 @@
 
 /* #[<POSTAMBLE>]#
- *   ããããä¸ã«éåãå£é¢æ°ãæ¸ãã¾ã
+ *   これより下に非受け口関数を書きます
  * #[</POSTAMBLE>]#*/
Index: asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tDouble64Pointer.c
===================================================================
--- asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tDouble64Pointer.c	(revision 317)
+++ asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tDouble64Pointer.c	(revision 318)
@@ -1,9 +1,9 @@
 /* #[<PREAMBLE>]#
- * #[<...>]# ãã #[</...>]# ã§å²ã¾ããã³ã¡ã³ãã¯ç·¨éããªãã§ãã ãã
- * tecsmerge ã«ãããã¼ã¸ã«ä½¿ç¨ããã¾ã
+ * #[<...>]# から #[</...>]# で囲まれたコメントは編集しないでください
+ * tecsmerge によるマージに使用されます
  *
  * #[</PREAMBLE>]# */
 
-/* ãã­ãã¿ã¤ãå®£è¨ãå¤æ°ã®å®ç¾©ãããã«æ¸ãã¾ã #_PAC_# */
+/* プロトタイプ宣言や変数の定義をここに書きます #_PAC_# */
 #include "nMruby_tDouble64Pointer_tecsgen.h"
 
@@ -17,5 +17,5 @@
 CHECK_AND_GET_POINTER( Double64, double64_t )
 
-/* åãå£é¢æ° #_TEPF_# */
+/* 受け口関数 #_TEPF_# */
 /* #[<ENTRY_PORT>]# eInitialize
  * entry port: eInitialize
@@ -32,9 +32,9 @@
 eInitialize_initializeBridge(mrb_state* mrb, struct RClass * TECS)
 {
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	(void)tecs_init_Double64Pointer( mrb, TECS );
 }
 
 /* #[<POSTAMBLE>]#
- *   ããããä¸ã«éåãå£é¢æ°ãæ¸ãã¾ã
+ *   これより下に非受け口関数を書きます
  * #[</POSTAMBLE>]#*/
Index: asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tFloat32Pointer.c
===================================================================
--- asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tFloat32Pointer.c	(revision 317)
+++ asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tFloat32Pointer.c	(revision 318)
@@ -1,9 +1,9 @@
 /* #[<PREAMBLE>]#
- * #[<...>]# ãã #[</...>]# ã§å²ã¾ããã³ã¡ã³ãã¯ç·¨éããªãã§ãã ãã
- * tecsmerge ã«ãããã¼ã¸ã«ä½¿ç¨ããã¾ã
+ * #[<...>]# から #[</...>]# で囲まれたコメントは編集しないでください
+ * tecsmerge によるマージに使用されます
  *
  * #[</PREAMBLE>]# */
 
-/* ãã­ãã¿ã¤ãå®£è¨ãå¤æ°ã®å®ç¾©ãããã«æ¸ãã¾ã #_PAC_# */
+/* プロトタイプ宣言や変数の定義をここに書きます #_PAC_# */
 #include "nMruby_tFloat32Pointer_tecsgen.h"
 
@@ -17,5 +17,5 @@
 CHECK_AND_GET_POINTER( Float32, float32_t )
 
-/* åãå£é¢æ° #_TEPF_# */
+/* 受け口関数 #_TEPF_# */
 /* #[<ENTRY_PORT>]# eInitialize
  * entry port: eInitialize
@@ -32,9 +32,9 @@
 eInitialize_initializeBridge(mrb_state* mrb, struct RClass * TECS)
 {
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	(void)tecs_init_Float32Pointer( mrb, TECS );
 }
 
 /* #[<POSTAMBLE>]#
- *   ããããä¸ã«éåãå£é¢æ°ãæ¸ãã¾ã
+ *   これより下に非受け口関数を書きます
  * #[</POSTAMBLE>]#*/
Index: asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tInt16Pointer.c
===================================================================
--- asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tInt16Pointer.c	(revision 317)
+++ asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tInt16Pointer.c	(revision 318)
@@ -1,9 +1,9 @@
 /* #[<PREAMBLE>]#
- * #[<...>]# ãã #[</...>]# ã§å²ã¾ããã³ã¡ã³ãã¯ç·¨éããªãã§ãã ãã
- * tecsmerge ã«ãããã¼ã¸ã«ä½¿ç¨ããã¾ã
+ * #[<...>]# から #[</...>]# で囲まれたコメントは編集しないでください
+ * tecsmerge によるマージに使用されます
  *
  * #[</PREAMBLE>]# */
 
-/* ãã­ãã¿ã¤ãå®£è¨ãå¤æ°ã®å®ç¾©ãããã«æ¸ãã¾ã #_PAC_# */
+/* プロトタイプ宣言や変数の定義をここに書きます #_PAC_# */
 #include "nMruby_tInt16Pointer_tecsgen.h"
 
@@ -17,5 +17,5 @@
 CHECK_AND_GET_POINTER( Int16, int16_t )
 
-/* åãå£é¢æ° #_TEPF_# */
+/* 受け口関数 #_TEPF_# */
 /* #[<ENTRY_PORT>]# eInitialize
  * entry port: eInitialize
@@ -32,9 +32,9 @@
 eInitialize_initializeBridge(mrb_state* mrb, struct RClass * TECS)
 {
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	(void)tecs_init_Int16Pointer( mrb, TECS );
 }
 
 /* #[<POSTAMBLE>]#
- *   ããããä¸ã«éåãå£é¢æ°ãæ¸ãã¾ã
+ *   これより下に非受け口関数を書きます
  * #[</POSTAMBLE>]#*/
Index: asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tInt32Pointer.c
===================================================================
--- asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tInt32Pointer.c	(revision 317)
+++ asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tInt32Pointer.c	(revision 318)
@@ -1,9 +1,9 @@
 /* #[<PREAMBLE>]#
- * #[<...>]# ãã #[</...>]# ã§å²ã¾ããã³ã¡ã³ãã¯ç·¨éããªãã§ãã ãã
- * tecsmerge ã«ãããã¼ã¸ã«ä½¿ç¨ããã¾ã
+ * #[<...>]# から #[</...>]# で囲まれたコメントは編集しないでください
+ * tecsmerge によるマージに使用されます
  *
  * #[</PREAMBLE>]# */
 
-/* ãã­ãã¿ã¤ãå®£è¨ãå¤æ°ã®å®ç¾©ãããã«æ¸ãã¾ã #_PAC_# */
+/* プロトタイプ宣言や変数の定義をここに書きます #_PAC_# */
 #include "nMruby_tInt32Pointer_tecsgen.h"
 
@@ -17,5 +17,5 @@
 CHECK_AND_GET_POINTER( Int32, int32_t )
 
-/* åãå£é¢æ° #_TEPF_# */
+/* 受け口関数 #_TEPF_# */
 /* #[<ENTRY_PORT>]# eInitialize
  * entry port: eInitialize
@@ -32,9 +32,9 @@
 eInitialize_initializeBridge(mrb_state* mrb, struct RClass * TECS)
 {
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	(void)tecs_init_Int32Pointer( mrb, TECS );
 }
 
 /* #[<POSTAMBLE>]#
- *   ããããä¸ã«éåãå£é¢æ°ãæ¸ãã¾ã
+ *   これより下に非受け口関数を書きます
  * #[</POSTAMBLE>]#*/
Index: asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tInt64Pointer.c
===================================================================
--- asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tInt64Pointer.c	(revision 317)
+++ asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tInt64Pointer.c	(revision 318)
@@ -1,9 +1,9 @@
 /* #[<PREAMBLE>]#
- * #[<...>]# ãã #[</...>]# ã§å²ã¾ããã³ã¡ã³ãã¯ç·¨éããªãã§ãã ãã
- * tecsmerge ã«ãããã¼ã¸ã«ä½¿ç¨ããã¾ã
+ * #[<...>]# から #[</...>]# で囲まれたコメントは編集しないでください
+ * tecsmerge によるマージに使用されます
  *
  * #[</PREAMBLE>]# */
 
-/* ãã­ãã¿ã¤ãå®£è¨ãå¤æ°ã®å®ç¾©ãããã«æ¸ãã¾ã #_PAC_# */
+/* プロトタイプ宣言や変数の定義をここに書きます #_PAC_# */
 #include "nMruby_tInt64Pointer_tecsgen.h"
 
@@ -17,5 +17,5 @@
 CHECK_AND_GET_POINTER( Int64, int64_t )
 
-/* åãå£é¢æ° #_TEPF_# */
+/* 受け口関数 #_TEPF_# */
 /* #[<ENTRY_PORT>]# eInitialize
  * entry port: eInitialize
@@ -32,9 +32,9 @@
 eInitialize_initializeBridge(mrb_state* mrb, struct RClass * TECS)
 {
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	(void)tecs_init_Int64Pointer( mrb, TECS );
 }
 
 /* #[<POSTAMBLE>]#
- *   ããããä¸ã«éåãå£é¢æ°ãæ¸ãã¾ã
+ *   これより下に非受け口関数を書きます
  * #[</POSTAMBLE>]#*/
Index: asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tInt8Pointer.c
===================================================================
--- asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tInt8Pointer.c	(revision 317)
+++ asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tInt8Pointer.c	(revision 318)
@@ -1,9 +1,9 @@
 /* #[<PREAMBLE>]#
- * #[<...>]# ãã #[</...>]# ã§å²ã¾ããã³ã¡ã³ãã¯ç·¨éããªãã§ãã ãã
- * tecsmerge ã«ãããã¼ã¸ã«ä½¿ç¨ããã¾ã
+ * #[<...>]# から #[</...>]# で囲まれたコメントは編集しないでください
+ * tecsmerge によるマージに使用されます
  *
  * #[</PREAMBLE>]# */
 
-/* ãã­ãã¿ã¤ãå®£è¨ãå¤æ°ã®å®ç¾©ãããã«æ¸ãã¾ã #_PAC_# */
+/* プロトタイプ宣言や変数の定義をここに書きます #_PAC_# */
 #include "nMruby_tInt8Pointer_tecsgen.h"
 
@@ -17,5 +17,5 @@
 CHECK_AND_GET_POINTER( Int8, int8_t )
 
-/* åãå£é¢æ° #_TEPF_# */
+/* 受け口関数 #_TEPF_# */
 /* #[<ENTRY_PORT>]# eInitialize
  * entry port: eInitialize
@@ -32,9 +32,9 @@
 eInitialize_initializeBridge(mrb_state* mrb, struct RClass * TECS)
 {
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	(void)tecs_init_Int8Pointer( mrb, TECS );
 }
 
 /* #[<POSTAMBLE>]#
- *   ããããä¸ã«éåãå£é¢æ°ãæ¸ãã¾ã
+ *   これより下に非受け口関数を書きます
  * #[</POSTAMBLE>]#*/
Index: asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tIntPointer.c
===================================================================
--- asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tIntPointer.c	(revision 317)
+++ asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tIntPointer.c	(revision 318)
@@ -1,9 +1,9 @@
 /* #[<PREAMBLE>]#
- * #[<...>]# ãã #[</...>]# ã§å²ã¾ããã³ã¡ã³ãã¯ç·¨éããªãã§ãã ãã
- * tecsmerge ã«ãããã¼ã¸ã«ä½¿ç¨ããã¾ã
+ * #[<...>]# から #[</...>]# で囲まれたコメントは編集しないでください
+ * tecsmerge によるマージに使用されます
  *
  * #[</PREAMBLE>]# */
 
-/* ãã­ãã¿ã¤ãå®£è¨ãå¤æ°ã®å®ç¾©ãããã«æ¸ãã¾ã #_PAC_# */
+/* プロトタイプ宣言や変数の定義をここに書きます #_PAC_# */
 #include "nMruby_tIntPointer_tecsgen.h"
 
@@ -17,5 +17,5 @@
 CHECK_AND_GET_POINTER( Int, int )
 
-/* åãå£é¢æ° #_TEPF_# */
+/* 受け口関数 #_TEPF_# */
 /* #[<ENTRY_PORT>]# eInitialize
  * entry port: eInitialize
@@ -32,9 +32,9 @@
 eInitialize_initializeBridge(mrb_state* mrb, struct RClass * TECS)
 {
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	(void)tecs_init_IntPointer( mrb, TECS );
 }
 
 /* #[<POSTAMBLE>]#
- *   ããããä¸ã«éåãå£é¢æ°ãæ¸ãã¾ã
+ *   これより下に非受け口関数を書きます
  * #[</POSTAMBLE>]#*/
Index: asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tLongPointer.c
===================================================================
--- asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tLongPointer.c	(revision 317)
+++ asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tLongPointer.c	(revision 318)
@@ -1,9 +1,9 @@
 /* #[<PREAMBLE>]#
- * #[<...>]# ãã #[</...>]# ã§å²ã¾ããã³ã¡ã³ãã¯ç·¨éããªãã§ãã ãã
- * tecsmerge ã«ãããã¼ã¸ã«ä½¿ç¨ããã¾ã
+ * #[<...>]# から #[</...>]# で囲まれたコメントは編集しないでください
+ * tecsmerge によるマージに使用されます
  *
  * #[</PREAMBLE>]# */
 
-/* ãã­ãã¿ã¤ãå®£è¨ãå¤æ°ã®å®ç¾©ãããã«æ¸ãã¾ã #_PAC_# */
+/* プロトタイプ宣言や変数の定義をここに書きます #_PAC_# */
 #include "nMruby_tLongPointer_tecsgen.h"
 
@@ -17,5 +17,5 @@
 CHECK_AND_GET_POINTER( Long, long )
 
-/* åãå£é¢æ° #_TEPF_# */
+/* 受け口関数 #_TEPF_# */
 /* #[<ENTRY_PORT>]# eInitialize
  * entry port: eInitialize
@@ -32,9 +32,9 @@
 eInitialize_initializeBridge(mrb_state* mrb, struct RClass * TECS)
 {
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	(void)tecs_init_LongPointer( mrb, TECS );
 }
 
 /* #[<POSTAMBLE>]#
- *   ããããä¸ã«éåãå£é¢æ°ãæ¸ãã¾ã
+ *   これより下に非受け口関数を書きます
  * #[</POSTAMBLE>]#*/
Index: asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tMruby.c
===================================================================
--- asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tMruby.c	(revision 317)
+++ asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tMruby.c	(revision 318)
@@ -1,6 +1,6 @@
 /* #[<PREAMBLE>]#
- * #[<...>]# ãã #[</...>]# ã§å²ã¾ããã³ã¡ã³ãã¯ç·¨éããªãã§ãã ãã
- * tecsmerge ã«ãããã¼ã¸ã«ä½¿ç¨ããã¾ã
- * å¼ã³å£é¢æ° #_TCPF_#
+ * #[<...>]# から #[</...>]# で囲まれたコメントは編集しないでください
+ * tecsmerge によるマージに使用されます
+ * 呼び口関数 #_TCPF_#
  * call port : cSerialPort  signature: sSerialPort context: task
  *   ER             cSerialPort_open( );
@@ -13,5 +13,5 @@
  * #[</PREAMBLE>]# */
 
-/* ãã­ãã¿ã¤ãå®£è¨ãå¤æ°ã®å®ç¾©ãããã«æ¸ãã¾ã #_PAC_# */
+/* プロトタイプ宣言や変数の定義をここに書きます #_PAC_# */
 #include "nMruby_tMruby_tecsgen.h"
 #include <string.h>
@@ -34,5 +34,5 @@
 
 void mrb_init_mrb(CELLCB *p_cellcb, mrb_state *mrb);
-/* åãå£é¢æ° #_TEPF_# */
+/* 受け口関数 #_TEPF_# */
 /* #[<ENTRY_PORT>]# eMrubyBody
  * entry port: eMrubyBody
@@ -93,5 +93,5 @@
 
 /* #[<POSTAMBLE>]#
- *   ããããä¸ã«éåãå£é¢æ°ãæ¸ãã¾ã
+ *   これより下に非受け口関数を書きます
  * #[</POSTAMBLE>]#*/
 
@@ -116,7 +116,7 @@
 _sbrk(size_t incr)
 {
-  // TODO: æ­£ãããã¼ããµã¤ãºãæå®ãããã¨ (EV3ã¯RAM 64MB)
+  // TODO: 正しいヒープサイズを指定すること (EV3はRAM 64MB)
   extern char __heap_start;
-  static uint32_t cs3_heap_end = &__heap_start + MEM_SIZE; // ãã¼ãã®æå¾ã¢ãã¬ã¹
+  static uint32_t cs3_heap_end = &__heap_start + MEM_SIZE; // ヒープの最後アドレス
   static char *heap_end = &__heap_start;
   char *prev_heap_end;
@@ -158,5 +158,5 @@
   char *cp;
   cp = (char*)buf;
-  /* ã·ãªã¢ã«ãã¼ããçµåããã¦ããå ´åã®ã¿å¼ã³åºã
+  /* シリアルポートが結合されている場合のみ呼び出す
   if(is_cSerialPort_joined()){
     //cSerialPort_write(buf, size);
Index: asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tMrubyProc.c
===================================================================
--- asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tMrubyProc.c	(revision 317)
+++ asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tMrubyProc.c	(revision 318)
@@ -5,10 +5,8 @@
  * A little modification is done to to call initializer registering TECS components.
  *
- * ãã®ãã¡ã¤ã«ã¯ãmruby ã®ãã®ã§ãã
- * mruby ã®ã©ã¤ã»ã³ã¹ã®ãã¨ã§ãé
-å¸ããã¾ãã(TOPPERS ã©ã¤ã»ã³ã¹ã§ã¯ããã¾ãã)
- *  åç
-§ï¼  https://github.com/mruby/mruby
- * TECS ã³ã³ãã¼ãã³ããç»é²ããåæåå­ãå¼ã¶ãããå°ãã®ä¿®æ­£ããªããã¦ãã¾ãã
+ * このファイルは、mruby のものです。
+ * mruby のライセンスのもとで、配布されます。(TOPPERS ライセンスではありません)
+ *  参照：  https://github.com/mruby/mruby
+ * TECS コンポーネントを登録する初期化子を呼ぶため、少しの修正がなされています。
  */
 
Index: asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tMrubyProc_1_0.c
===================================================================
--- asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tMrubyProc_1_0.c	(revision 317)
+++ asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tMrubyProc_1_0.c	(revision 318)
@@ -5,10 +5,8 @@
  * A little modification is done to to call initializer registering TECS components.
  *
- * ãã®ãã¡ã¤ã«ã¯ãmruby ã®ãã®ã§ãã
- * mruby ã®ã©ã¤ã»ã³ã¹ã®ãã¨ã§ãé
-å¸ããã¾ãã(TOPPERS ã©ã¤ã»ã³ã¹ã§ã¯ããã¾ãã)
- *  åç
-§ï¼  https://github.com/mruby/mruby
- * TECS ã³ã³ãã¼ãã³ããç»é²ããåæåå­ãå¼ã¶ãããå°ãã®ä¿®æ­£ããªããã¦ãã¾ãã
+ * このファイルは、mruby のものです。
+ * mruby のライセンスのもとで、配布されます。(TOPPERS ライセンスではありません)
+ *  参照：  https://github.com/mruby/mruby
+ * TECS コンポーネントを登録する初期化子を呼ぶため、少しの修正がなされています。
  */
 
Index: asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tSCharPointer.c
===================================================================
--- asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tSCharPointer.c	(revision 317)
+++ asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tSCharPointer.c	(revision 318)
@@ -1,9 +1,9 @@
 /* #[<PREAMBLE>]#
- * #[<...>]# ãã #[</...>]# ã§å²ã¾ããã³ã¡ã³ãã¯ç·¨éããªãã§ãã ãã
- * tecsmerge ã«ãããã¼ã¸ã«ä½¿ç¨ããã¾ã
+ * #[<...>]# から #[</...>]# で囲まれたコメントは編集しないでください
+ * tecsmerge によるマージに使用されます
  *
  * #[</PREAMBLE>]# */
 
-/* ãã­ãã¿ã¤ãå®£è¨ãå¤æ°ã®å®ç¾©ãããã«æ¸ãã¾ã #_PAC_# */
+/* プロトタイプ宣言や変数の定義をここに書きます #_PAC_# */
 #include "nMruby_tSCharPointer_tecsgen.h"
 
@@ -25,5 +25,5 @@
 #endif
 
-/* åãå£é¢æ° #_TEPF_# */
+/* 受け口関数 #_TEPF_# */
 /* #[<ENTRY_PORT>]# eInitialize
  * entry port: eInitialize
@@ -42,5 +42,5 @@
 	struct RClass *c;
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	c=tecs_init_SCharPointer( mrb, TECS );
 	mrb_define_method(mrb, c, "to_s", CharPointer_to_s, MRB_ARGS_NONE());
@@ -49,4 +49,4 @@
 
 /* #[<POSTAMBLE>]#
- *   ããããä¸ã«éåãå£é¢æ°ãæ¸ãã¾ã
+ *   これより下に非受け口関数を書きます
  * #[</POSTAMBLE>]#*/
Index: asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tShortPointer.c
===================================================================
--- asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tShortPointer.c	(revision 317)
+++ asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tShortPointer.c	(revision 318)
@@ -1,9 +1,9 @@
 /* #[<PREAMBLE>]#
- * #[<...>]# ãã #[</...>]# ã§å²ã¾ããã³ã¡ã³ãã¯ç·¨éããªãã§ãã ãã
- * tecsmerge ã«ãããã¼ã¸ã«ä½¿ç¨ããã¾ã
+ * #[<...>]# から #[</...>]# で囲まれたコメントは編集しないでください
+ * tecsmerge によるマージに使用されます
  *
  * #[</PREAMBLE>]# */
 
-/* ãã­ãã¿ã¤ãå®£è¨ãå¤æ°ã®å®ç¾©ãããã«æ¸ãã¾ã #_PAC_# */
+/* プロトタイプ宣言や変数の定義をここに書きます #_PAC_# */
 #include "nMruby_tShortPointer_tecsgen.h"
 
@@ -17,5 +17,5 @@
 CHECK_AND_GET_POINTER( Short, short )
 
-/* åãå£é¢æ° #_TEPF_# */
+/* 受け口関数 #_TEPF_# */
 /* #[<ENTRY_PORT>]# eInitialize
  * entry port: eInitialize
@@ -32,9 +32,9 @@
 eInitialize_initializeBridge(mrb_state* mrb, struct RClass * TECS)
 {
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	(void)tecs_init_ShortPointer( mrb, TECS );
 }
 
 /* #[<POSTAMBLE>]#
- *   ããããä¸ã«éåãå£é¢æ°ãæ¸ãã¾ã
+ *   これより下に非受け口関数を書きます
  * #[</POSTAMBLE>]#*/
Index: asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tTECSInitializer.c
===================================================================
--- asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tTECSInitializer.c	(revision 317)
+++ asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tTECSInitializer.c	(revision 318)
@@ -1,10 +1,10 @@
 /* #[<PREAMBLE>]#
- * #[<...>]# ãã #[</...>]# ã§å²ã¾ããã³ã¡ã³ãã¯ç·¨éããªãã§ãã ãã
- * tecsmerge ã«ãããã¼ã¸ã«ä½¿ç¨ããã¾ã
+ * #[<...>]# から #[</...>]# で囲まれたコメントは編集しないでください
+ * tecsmerge によるマージに使用されます
  *
- * å±æ§ã¢ã¯ã»ã¹ãã¯ã­ #_CAAM_#
+ * 属性アクセスマクロ #_CAAM_#
  * TECS             struct RClass *  VAR_TECS        
  *
- * å¼ã³å£é¢æ° #_TCPF_#
+ * 呼び口関数 #_TCPF_#
  * call port : cInitialize  signature: nMruby_sInitializeTECSBridge context: task
  *   void           cInitialize_initializeBridge( subscript, const mrb_state* mrb, const struct RClass * TECS );
@@ -13,5 +13,5 @@
  * #[</PREAMBLE>]# */
 
-/* ãã­ãã¿ã¤ãå®£è¨ãå¤æ°ã®å®ç¾©ãããã«æ¸ãã¾ã #_PAC_# */
+/* プロトタイプ宣言や変数の定義をここに書きます #_PAC_# */
 #include "nMruby_tTECSInitializer_tecsgen.h"
 
@@ -21,5 +21,5 @@
 #endif
 
-/* åãå£é¢æ° #_TEPF_# */
+/* 受け口関数 #_TEPF_# */
 /* #[<ENTRY_PORT>]# eInitialize
  * entry port: eInitialize
@@ -44,8 +44,8 @@
 	}
 	else {
-		/* ã¨ã©ã¼å¦çã³ã¼ããããã«è¨è¿°ãã¾ã */
+		/* エラー処理コードをここに記述します */
 	} /* end if VALID_IDX(idx) */
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	TECS = mrb_define_module( (mrb_state *)mrb, "TECS" );
 	// mrb: const mrb_state * => mrb_state *
@@ -57,4 +57,4 @@
 
 /* #[<POSTAMBLE>]#
- *   ããããä¸ã«éåãå£é¢æ°ãæ¸ãã¾ã
+ *   これより下に非受け口関数を書きます
  * #[</POSTAMBLE>]#*/
Index: asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tUCharPointer.c
===================================================================
--- asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tUCharPointer.c	(revision 317)
+++ asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tUCharPointer.c	(revision 318)
@@ -1,9 +1,9 @@
 /* #[<PREAMBLE>]#
- * #[<...>]# ãã #[</...>]# ã§å²ã¾ããã³ã¡ã³ãã¯ç·¨éããªãã§ãã ãã
- * tecsmerge ã«ãããã¼ã¸ã«ä½¿ç¨ããã¾ã
+ * #[<...>]# から #[</...>]# で囲まれたコメントは編集しないでください
+ * tecsmerge によるマージに使用されます
  *
  * #[</PREAMBLE>]# */
 
-/* ãã­ãã¿ã¤ãå®£è¨ãå¤æ°ã®å®ç¾©ãããã«æ¸ãã¾ã #_PAC_# */
+/* プロトタイプ宣言や変数の定義をここに書きます #_PAC_# */
 #include "nMruby_tUCharPointer_tecsgen.h"
 
@@ -22,5 +22,5 @@
 #endif
 
-/* åãå£é¢æ° #_TEPF_# */
+/* 受け口関数 #_TEPF_# */
 /* #[<ENTRY_PORT>]# eInitialize
  * entry port: eInitialize
@@ -39,5 +39,5 @@
 	struct RClass *c;
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	c=tecs_init_UCharPointer( mrb, TECS );
 	mrb_define_method(mrb, c, "to_s", CharPointer_to_s, MRB_ARGS_NONE());
@@ -46,4 +46,4 @@
 
 /* #[<POSTAMBLE>]#
- *   ããããä¸ã«éåãå£é¢æ°ãæ¸ãã¾ã
+ *   これより下に非受け口関数を書きます
  * #[</POSTAMBLE>]#*/
Index: asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tUInt16Pointer.c
===================================================================
--- asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tUInt16Pointer.c	(revision 317)
+++ asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tUInt16Pointer.c	(revision 318)
@@ -1,9 +1,9 @@
 /* #[<PREAMBLE>]#
- * #[<...>]# ãã #[</...>]# ã§å²ã¾ããã³ã¡ã³ãã¯ç·¨éããªãã§ãã ãã
- * tecsmerge ã«ãããã¼ã¸ã«ä½¿ç¨ããã¾ã
+ * #[<...>]# から #[</...>]# で囲まれたコメントは編集しないでください
+ * tecsmerge によるマージに使用されます
  *
  * #[</PREAMBLE>]# */
 
-/* ãã­ãã¿ã¤ãå®£è¨ãå¤æ°ã®å®ç¾©ãããã«æ¸ãã¾ã #_PAC_# */
+/* プロトタイプ宣言や変数の定義をここに書きます #_PAC_# */
 #include "nMruby_tUInt16Pointer_tecsgen.h"
 
@@ -17,5 +17,5 @@
 CHECK_AND_GET_POINTER( UInt16, uint16_t )
 
-/* åãå£é¢æ° #_TEPF_# */
+/* 受け口関数 #_TEPF_# */
 /* #[<ENTRY_PORT>]# eInitialize
  * entry port: eInitialize
@@ -32,9 +32,9 @@
 eInitialize_initializeBridge(mrb_state* mrb, struct RClass * TECS)
 {
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	(void)tecs_init_UInt16Pointer( mrb, TECS );
 }
 
 /* #[<POSTAMBLE>]#
- *   ããããä¸ã«éåãå£é¢æ°ãæ¸ãã¾ã
+ *   これより下に非受け口関数を書きます
  * #[</POSTAMBLE>]#*/
Index: asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tUInt32Pointer.c
===================================================================
--- asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tUInt32Pointer.c	(revision 317)
+++ asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tUInt32Pointer.c	(revision 318)
@@ -1,9 +1,9 @@
 /* #[<PREAMBLE>]#
- * #[<...>]# ãã #[</...>]# ã§å²ã¾ããã³ã¡ã³ãã¯ç·¨éããªãã§ãã ãã
- * tecsmerge ã«ãããã¼ã¸ã«ä½¿ç¨ããã¾ã
+ * #[<...>]# から #[</...>]# で囲まれたコメントは編集しないでください
+ * tecsmerge によるマージに使用されます
  *
  * #[</PREAMBLE>]# */
 
-/* ãã­ãã¿ã¤ãå®£è¨ãå¤æ°ã®å®ç¾©ãããã«æ¸ãã¾ã #_PAC_# */
+/* プロトタイプ宣言や変数の定義をここに書きます #_PAC_# */
 #include "nMruby_tUInt32Pointer_tecsgen.h"
 
@@ -17,5 +17,5 @@
 CHECK_AND_GET_POINTER( UInt32, uint32_t )
 
-/* åãå£é¢æ° #_TEPF_# */
+/* 受け口関数 #_TEPF_# */
 /* #[<ENTRY_PORT>]# eInitialize
  * entry port: eInitialize
@@ -32,9 +32,9 @@
 eInitialize_initializeBridge(mrb_state* mrb, struct RClass * TECS)
 {
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	(void)tecs_init_UInt32Pointer( mrb, TECS );
 }
 
 /* #[<POSTAMBLE>]#
- *   ããããä¸ã«éåãå£é¢æ°ãæ¸ãã¾ã
+ *   これより下に非受け口関数を書きます
  * #[</POSTAMBLE>]#*/
Index: asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tUInt64Pointer.c
===================================================================
--- asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tUInt64Pointer.c	(revision 317)
+++ asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tUInt64Pointer.c	(revision 318)
@@ -1,9 +1,9 @@
 /* #[<PREAMBLE>]#
- * #[<...>]# ãã #[</...>]# ã§å²ã¾ããã³ã¡ã³ãã¯ç·¨éããªãã§ãã ãã
- * tecsmerge ã«ãããã¼ã¸ã«ä½¿ç¨ããã¾ã
+ * #[<...>]# から #[</...>]# で囲まれたコメントは編集しないでください
+ * tecsmerge によるマージに使用されます
  *
  * #[</PREAMBLE>]# */
 
-/* ãã­ãã¿ã¤ãå®£è¨ãå¤æ°ã®å®ç¾©ãããã«æ¸ãã¾ã #_PAC_# */
+/* プロトタイプ宣言や変数の定義をここに書きます #_PAC_# */
 #include "nMruby_tUInt64Pointer_tecsgen.h"
 
@@ -17,5 +17,5 @@
 CHECK_AND_GET_POINTER( UInt64, uint64_t )
 
-/* åãå£é¢æ° #_TEPF_# */
+/* 受け口関数 #_TEPF_# */
 /* #[<ENTRY_PORT>]# eInitialize
  * entry port: eInitialize
@@ -32,5 +32,5 @@
 eInitialize_initializeBridge(mrb_state* mrb, struct RClass * TECS)
 {
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	(void)tecs_init_UInt64Pointer( mrb, TECS );
 
@@ -38,4 +38,4 @@
 
 /* #[<POSTAMBLE>]#
- *   ããããä¸ã«éåãå£é¢æ°ãæ¸ãã¾ã
+ *   これより下に非受け口関数を書きます
  * #[</POSTAMBLE>]#*/
Index: asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tUInt8Pointer.c
===================================================================
--- asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tUInt8Pointer.c	(revision 317)
+++ asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tUInt8Pointer.c	(revision 318)
@@ -1,9 +1,9 @@
 /* #[<PREAMBLE>]#
- * #[<...>]# ãã #[</...>]# ã§å²ã¾ããã³ã¡ã³ãã¯ç·¨éããªãã§ãã ãã
- * tecsmerge ã«ãããã¼ã¸ã«ä½¿ç¨ããã¾ã
+ * #[<...>]# から #[</...>]# で囲まれたコメントは編集しないでください
+ * tecsmerge によるマージに使用されます
  *
  * #[</PREAMBLE>]# */
 
-/* ãã­ãã¿ã¤ãå®£è¨ãå¤æ°ã®å®ç¾©ãããã«æ¸ãã¾ã #_PAC_# */
+/* プロトタイプ宣言や変数の定義をここに書きます #_PAC_# */
 #include "nMruby_tUInt8Pointer_tecsgen.h"
 
@@ -17,5 +17,5 @@
 CHECK_AND_GET_POINTER( UInt8, uint8_t )
 
-/* åãå£é¢æ° #_TEPF_# */
+/* 受け口関数 #_TEPF_# */
 /* #[<ENTRY_PORT>]# eInitialize
  * entry port: eInitialize
@@ -32,5 +32,5 @@
 eInitialize_initializeBridge(mrb_state* mrb, struct RClass * TECS)
 {
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	(void)tecs_init_UInt8Pointer( mrb, TECS );
 
@@ -38,4 +38,4 @@
 
 /* #[<POSTAMBLE>]#
- *   ããããä¸ã«éåãå£é¢æ°ãæ¸ãã¾ã
+ *   これより下に非受け口関数を書きます
  * #[</POSTAMBLE>]#*/
Index: asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tUIntPointer.c
===================================================================
--- asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tUIntPointer.c	(revision 317)
+++ asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tUIntPointer.c	(revision 318)
@@ -1,9 +1,9 @@
 /* #[<PREAMBLE>]#
- * #[<...>]# ãã #[</...>]# ã§å²ã¾ããã³ã¡ã³ãã¯ç·¨éããªãã§ãã ãã
- * tecsmerge ã«ãããã¼ã¸ã«ä½¿ç¨ããã¾ã
+ * #[<...>]# から #[</...>]# で囲まれたコメントは編集しないでください
+ * tecsmerge によるマージに使用されます
  *
  * #[</PREAMBLE>]# */
 
-/* ãã­ãã¿ã¤ãå®£è¨ãå¤æ°ã®å®ç¾©ãããã«æ¸ãã¾ã #_PAC_# */
+/* プロトタイプ宣言や変数の定義をここに書きます #_PAC_# */
 #include "nMruby_tUIntPointer_tecsgen.h"
 
@@ -17,5 +17,5 @@
 CHECK_AND_GET_POINTER( UInt, unsigned int )
 
-/* åãå£é¢æ° #_TEPF_# */
+/* 受け口関数 #_TEPF_# */
 /* #[<ENTRY_PORT>]# eInitialize
  * entry port: eInitialize
@@ -32,5 +32,5 @@
 eInitialize_initializeBridge(mrb_state* mrb, struct RClass * TECS)
 {
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	(void)tecs_init_UIntPointer( mrb, TECS );
 
@@ -38,4 +38,4 @@
 
 /* #[<POSTAMBLE>]#
- *   ããããä¸ã«éåãå£é¢æ°ãæ¸ãã¾ã
+ *   これより下に非受け口関数を書きます
  * #[</POSTAMBLE>]#*/
Index: asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tULongPointer.c
===================================================================
--- asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tULongPointer.c	(revision 317)
+++ asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tULongPointer.c	(revision 318)
@@ -1,9 +1,9 @@
 /* #[<PREAMBLE>]#
- * #[<...>]# ãã #[</...>]# ã§å²ã¾ããã³ã¡ã³ãã¯ç·¨éããªãã§ãã ãã
- * tecsmerge ã«ãããã¼ã¸ã«ä½¿ç¨ããã¾ã
+ * #[<...>]# から #[</...>]# で囲まれたコメントは編集しないでください
+ * tecsmerge によるマージに使用されます
  *
  * #[</PREAMBLE>]# */
 
-/* ãã­ãã¿ã¤ãå®£è¨ãå¤æ°ã®å®ç¾©ãããã«æ¸ãã¾ã #_PAC_# */
+/* プロトタイプ宣言や変数の定義をここに書きます #_PAC_# */
 #include "nMruby_tULongPointer_tecsgen.h"
 
@@ -17,5 +17,5 @@
 CHECK_AND_GET_POINTER( ULong, unsigned long )
 
-/* åãå£é¢æ° #_TEPF_# */
+/* 受け口関数 #_TEPF_# */
 /* #[<ENTRY_PORT>]# eInitialize
  * entry port: eInitialize
@@ -32,9 +32,9 @@
 eInitialize_initializeBridge(mrb_state* mrb, struct RClass * TECS)
 {
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	(void)tecs_init_ULongPointer( mrb, TECS );
 }
 
 /* #[<POSTAMBLE>]#
- *   ããããä¸ã«éåãå£é¢æ°ãæ¸ãã¾ã
+ *   これより下に非受け口関数を書きます
  * #[</POSTAMBLE>]#*/
Index: asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tUShortPointer.c
===================================================================
--- asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tUShortPointer.c	(revision 317)
+++ asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tUShortPointer.c	(revision 318)
@@ -1,9 +1,9 @@
 /* #[<PREAMBLE>]#
- * #[<...>]# ãã #[</...>]# ã§å²ã¾ããã³ã¡ã³ãã¯ç·¨éããªãã§ãã ãã
- * tecsmerge ã«ãããã¼ã¸ã«ä½¿ç¨ããã¾ã
+ * #[<...>]# から #[</...>]# で囲まれたコメントは編集しないでください
+ * tecsmerge によるマージに使用されます
  *
  * #[</PREAMBLE>]# */
 
-/* ãã­ãã¿ã¤ãå®£è¨ãå¤æ°ã®å®ç¾©ãããã«æ¸ãã¾ã #_PAC_# */
+/* プロトタイプ宣言や変数の定義をここに書きます #_PAC_# */
 #include "nMruby_tUShortPointer_tecsgen.h"
 
@@ -17,5 +17,5 @@
 CHECK_AND_GET_POINTER( UShort, unsigned short )
 
-/* åãå£é¢æ° #_TEPF_# */
+/* 受け口関数 #_TEPF_# */
 /* #[<ENTRY_PORT>]# eInitialize
  * entry port: eInitialize
@@ -32,9 +32,9 @@
 eInitialize_initializeBridge(mrb_state* mrb, struct RClass * TECS)
 {
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	(void)tecs_init_UShortPointer( mrb, TECS );
 }
 
 /* #[<POSTAMBLE>]#
- *   ããããä¸ã«éåãå£é¢æ°ãæ¸ãã¾ã
+ *   これより下に非受け口関数を書きます
  * #[</POSTAMBLE>]#*/
